//
//  aquabuttonAppDelegate.m
//  aquabutton
//
//  Created by kunii on 11/06/15.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "aquabuttonAppDelegate.h"
#import "AquaButton.h"
#import "BadgeView.h"

@implementation aquabuttonAppDelegate


@synthesize window=_window;

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions
{
    float hue = 0.5;
    CGRect r = CGRectMake(10, 50, 300, 44);
    AquaButton* b = [[[AquaButton alloc] initWithFrame:r] autorelease];
    b.hue = hue;
    b.textLabel.text = @"Aqua風ボタン　ディスエーブル";
    b.enabled = NO;
    [self.window addSubview:b];

    r = CGRectOffset(r, 0, 50);
    b = [[[AquaButton alloc] initWithFrame:r] autorelease];
    b.hue = hue;
    b.textLabel.text = @"Aqua風ボタン　イネーブル";
    b.enabled = YES;
    [b addTarget:self action:@selector(EventTouchDown) forControlEvents:UIControlEventTouchDown];
    [b addTarget:self action:@selector(UIControlEventTouchDragInside) forControlEvents:UIControlEventTouchDragInside];
    [b addTarget:self action:@selector(UIControlEventTouchDragOutside) forControlEvents:UIControlEventTouchDragOutside];
    [b addTarget:self action:@selector(UIControlEventTouchUpInside) forControlEvents:UIControlEventTouchUpInside];
    [b addTarget:self action:@selector(UIControlEventTouchUpOutside) forControlEvents:UIControlEventTouchUpOutside];
    
    [self.window addSubview:b];

    r = CGRectOffset(r, 0, 50);
    UIButton* ub = [UIButton buttonWithType:UIButtonTypeRoundedRect];
    ub.frame = r;
    [ub setTitle:@"UIButton　イネーブル" forState:UIControlStateNormal];
    ub.enabled = YES;
    [ub addTarget:self action:@selector(EventTouchDown) forControlEvents:UIControlEventTouchDown];
    [ub addTarget:self action:@selector(UIControlEventTouchDragInside) forControlEvents:UIControlEventTouchDragInside];
    [ub addTarget:self action:@selector(UIControlEventTouchDragOutside) forControlEvents:UIControlEventTouchDragOutside];
    [ub addTarget:self action:@selector(UIControlEventTouchUpInside) forControlEvents:UIControlEventTouchUpInside];
    [ub addTarget:self action:@selector(UIControlEventTouchUpOutside) forControlEvents:UIControlEventTouchUpOutside];
    [self.window addSubview:ub];
    
    r = CGRectOffset(r, 0, 100);
    r.size.width = r.size.height = 24;
    BadgeView* bagde = [[BadgeView alloc] initWithFrame:r];
    bagde.textLabel.text = @"1";
    [self.window addSubview:bagde];

    r = CGRectOffset(r, 50, 0);
    r.size.width = 50;
    bagde = [[BadgeView alloc] initWithFrame:r];
    bagde.textLabel.text = @"100";
    [self.window addSubview:bagde];

    [self.window makeKeyAndVisible];
    return YES;
}

- (void)EventTouchDown
{
    printf("EventTouchDown\n");
}
- (void)UIControlEventTouchDragInside
{
    printf("UIControlEventTouchDragInside\n");
}
- (void)UIControlEventTouchDragOutside
{
    printf("UIControlEventTouchDragOutside\n");
}
- (void)UIControlEventTouchUpInside
{
    printf("UIControlEventTouchUpInside\n");
}
- (void)UIControlEventTouchUpOutside
{
    printf("UIControlEventTouchUpOutside\n");
}

- (void)applicationWillResignActive:(UIApplication *)application
{
    /*
     Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
     Use this method to pause ongoing tasks, disable timers, and throttle down OpenGL ES frame rates. Games should use this method to pause the game.
     */
}

- (void)applicationDidEnterBackground:(UIApplication *)application
{
    /*
     Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later. 
     If your application supports background execution, this method is called instead of applicationWillTerminate: when the user quits.
     */
}

- (void)applicationWillEnterForeground:(UIApplication *)application
{
    /*
     Called as part of the transition from the background to the inactive state; here you can undo many of the changes made on entering the background.
     */
}

- (void)applicationDidBecomeActive:(UIApplication *)application
{
    /*
     Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
     */
}

- (void)applicationWillTerminate:(UIApplication *)application
{
    /*
     Called when the application is about to terminate.
     Save data if appropriate.
     See also applicationDidEnterBackground:.
     */
}

- (void)dealloc
{
    [_window release];
    [super dealloc];
}

@end
